aboutsummaryrefslogtreecommitdiffstats
path: root/java/jboss4/pkg-install
diff options
context:
space:
mode:
authorpav <pav@FreeBSD.org>2007-07-30 03:44:05 +0800
committerpav <pav@FreeBSD.org>2007-07-30 03:44:05 +0800
commitbd8820164807b4095bfaefa85ad20479e926a614 (patch)
tree913ec3e2e112923bfe6893651d4aa205f9329c43 /java/jboss4/pkg-install
parentbf68d8df3a0af6f3b0ea71ac2bfee8199a1dffd9 (diff)
downloadfreebsd-ports-gnome-bd8820164807b4095bfaefa85ad20479e926a614.tar.gz
freebsd-ports-gnome-bd8820164807b4095bfaefa85ad20479e926a614.tar.zst
freebsd-ports-gnome-bd8820164807b4095bfaefa85ad20479e926a614.zip
- Update to 4.2.0.GA2
PR: ports/113844 Submitted by: Jonathan Chen <jonc@chen.org.nz> (maintainer)
Diffstat (limited to 'java/jboss4/pkg-install')
-rw-r--r--java/jboss4/pkg-install46
1 files changed, 0 insertions, 46 deletions
diff --git a/java/jboss4/pkg-install b/java/jboss4/pkg-install
deleted file mode 100644
index 74f40794ebb4..000000000000
--- a/java/jboss4/pkg-install
+++ /dev/null
@@ -1,46 +0,0 @@
-#!/bin/sh
-#
-# Checks if the 'www' user and group exist. If they don't, then
-# an attempt is made to create both.
-#
-# $FreeBSD: /tmp/pcvs/ports/java/jboss4/Attic/pkg-install,v 1.1 2002-04-26 21:54:15 znerd Exp $
-#
-
-# Make sure we're called during the 'make install' process
-if [ "$2" != "PRE-INSTALL" ]; then
- exit 0
-fi
-
-# Set some constants
-USER=www
-GROUP=${USER}
-UID=80
-GID=${UID}
-
-# See if the group already exists
-if ! pw groupshow "${GROUP}" 2>/dev/null 1>&2; then
-
- # If not, try to create it
- if pw groupadd ${GROUP} -g ${GID}; then
- echo "Added group \"${GROUP}\"."
- else
- echo "Adding group \"${GROUP}\" failed..."
- exit 1
- fi
-fi
-
-# See if the user already exists
-if ! pw usershow "${USER}" 2>/dev/null 1>&2; then
-
- # If not, try to create it
- if pw useradd ${USER} -u ${UID} -g ${GROUP} -h - \
- -s "/sbin/nologin" -d "/nonexistent" \
- -c "World Wide Web Owner"; \
- then
- echo "Added user \"${USER}\"."
- else
- echo "Adding user \"${USER}\" failed..."
- exit 1
- fi
-fi
-exit 0